Create an explorer project
POST
/api/v1/projects/explorer
const url = 'https://example.com/api/v1/projects/explorer';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"company":"example","description":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/projects/explorer \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "company": "example", "description": "example", "name": "example" }'Create a new project with access to basic free devices
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
company
string
description
string
name
required
string
Examplegenerated
{ "company": "example", "description": "example", "name": "example"}Responses
Section titled “Responses”default
Section titled “default”On success
Media typeapplication/json
object
code
required
number format: int32
data
required
object
allowed_device_types
required
Array<string>
allowed_workload_types
required
Array<string>
company
required
string
created_at
required
string format: date-time
description
required
string
email_domain
required
string
id
required
Array<number>
max_concurrent_job
required
number format: int32
name
required
string
package
required
string
project_status
required
string
project_type
required
string
queue_priority
required
string
updated_at
required
string format: date-time
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{ "code": "200", "data": { "id": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6" }, "message": "success", "status": "OK"}